package com.mvc.model.aihcxd;

/**
 * 水表输入对象
 * 与com.hcxd.wmai.AI_input对应
 * 为了不影响wmai中的事,此对象作业调用的对象
 */
public class WmInModel {
    private String imagePath;//输入图像路径
    private String outputPath;//图像输出路径
    private boolean isGenSlsSmallJPG;//是否生成水利所小JPG图像
    //
    private int is_updown; //是否颠倒安装（0=正常安装；1=上下颠倒安装;2=右转90度,表的上半部在左侧； 3=左转90度,表的上半部在右侧；）
    private int numNumbers;//水表数字个数
    private double numberUnit;//水表最后一个数字单位
    private String meterDiameter;//水表口径
    private int meterFontStyle;//水表中数字字体风格：0=全部类型; 1=白底黑字; 2=黑底白字；
    //
    private double lastOkValue;//最近一次的可靠值
    private String lastOkValueTime;//最近一次可靠值的识别时间
    //
    private boolean isUseConfig;//预测时是否用用户配置的 旋转角度、数字区域信息
    private int configRotateAngle;//用户配置的旋转角度
    private int[] configNumberRegion;//用户配置的数字区域坐标，4个值，[xmin,ymin,xmax,ymax]
    private int serverLastOkRotateAngle;//MCU上一次识别得到的旋转角度
    private int[] serverLastOkNumberRegion;//MCU上一次识别得到的数字区域坐标，4个值，[xmin,ymin,xmax,ymax]

    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }

    public String getOutputPath() {
        return outputPath;
    }

    public void setOutputPath(String outputPath) {
        this.outputPath = outputPath;
    }

    public int getIs_updown() {
        return is_updown;
    }

    public void setIs_updown(int is_updown) {
        this.is_updown = is_updown;
    }

    public int getNumNumbers() {
        return numNumbers;
    }

    public void setNumNumbers(int numNumbers) {
        this.numNumbers = numNumbers;
    }

    public double getNumberUnit() {
        return numberUnit;
    }

    public void setNumberUnit(double numberUnit) {
        this.numberUnit = numberUnit;
    }

    public String getMeterDiameter() {
        return meterDiameter;
    }

    public void setMeterDiameter(String meterDiameter) {
        this.meterDiameter = meterDiameter;
    }

    public int getMeterFontStyle() {
        return meterFontStyle;
    }

    public void setMeterFontStyle(int meterFontStyle) {
        this.meterFontStyle = meterFontStyle;
    }

    public double getLastOkValue() {
        return lastOkValue;
    }

    public void setLastOkValue(double lastOkValue) {
        this.lastOkValue = lastOkValue;
    }

    public String getLastOkValueTime() {
        return lastOkValueTime;
    }

    public void setLastOkValueTime(String lastOkValueTime) {
        this.lastOkValueTime = lastOkValueTime;
    }

    public boolean getIsGenSlsSmallJPG() {
        return isGenSlsSmallJPG;
    }

    public void setIsGenSlsSmallJPG(boolean isGenSlsSmallJPG) {
        this.isGenSlsSmallJPG = isGenSlsSmallJPG;
    }


    public boolean getIsUseConfig() {
        return isUseConfig;
    }

    public void setIsUseConfig(boolean useConfig) {
        this.isUseConfig = useConfig;
    }

    public int getConfigRotateAngle() {
        return configRotateAngle;
    }

    public void setConfigRotateAngle(int configRotateAngle) {
        this.configRotateAngle = configRotateAngle;
    }

    public int[] getConfigNumberRegion() {
        return configNumberRegion;
    }

    public void setConfigNumberRegion(int i, int param_value) {
        this.configNumberRegion[i] = param_value;
    }

    public int getServerLastOkRotateAngle() {
        return serverLastOkRotateAngle;
    }

    public void setServerLastOkRotateAngle(int serverLastOkRotateAngle) {
        this.serverLastOkRotateAngle = serverLastOkRotateAngle;
    }

    public int[] getServerLastOkNumberRegion() {
        return serverLastOkNumberRegion;
    }

    public void setServerLastOkNumberRegion(int i, int param_value) {
        this.serverLastOkNumberRegion[i] = param_value;
    }

    public WmInModel() {
        this.imagePath = "";//输入图像路径
        this.outputPath= "";//图像输出路径
        this.numNumbers=0;//水表数字个数
        this.numberUnit=0.0;//水表最后一个数字单位
        this.meterDiameter="";//水表口径
        this.meterFontStyle=0;//水表中数字字体风格：0=全部类型; 1=白底黑字; 2=黑底白字；
        this.lastOkValue=0.0;//最近一次的可靠值
        this.lastOkValueTime="";//最近一次可靠值的识别时间
        this.configRotateAngle=333;//用户配置的旋转角度
        this.configNumberRegion=new int[]{333,333,333,333};//用户配置的数字区域坐标，4个值，[xmin,ymin,xmax,ymax]
        this.serverLastOkRotateAngle=888;//MCU上一次识别得到的旋转角度
        this.serverLastOkNumberRegion=new int[]{333,333,333,333};//MCU上一次识别得到的数字区域坐标，4个值，[xmin,ymin,xmax,ymax]
        this.isGenSlsSmallJPG=false;//是否生成水利所小JPG图像
    }
}